/* 
* This file is part of STiD135 OXFORD LLA 
* 
* Copyright (c) <2014>-<2018>, STMicroelectronics - All Rights Reserved 
* Author(s): Mathias Hilaire (mathias.hilaire@st.com), Thierry Delahaye (thierry.delahaye@st.com) for STMicroelectronics. 
* 
* License terms: BSD 3-clause "New" or "Revised" License. 
* 
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are met: 
* 
* 1. Redistributions of source code must retain the above copyright notice, this 
* list of conditions and the following disclaimer. 
* 
* 2. Redistributions in binary form must reproduce the above copyright notice, 
* this list of conditions and the following disclaimer in the documentation 
* and/or other materials provided with the distribution. 
* 
* 3. Neither the name of the copyright holder nor the names of its contributors 
* may be used to endorse or promote products derived from this software 
* without specific prior written permission. 
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE 
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
* OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
* 
*/ 
#ifndef _DVBSX_FSK_REG_INIT_H
#define _DVBSX_FSK_REG_INIT_H

/* -------------------------------------------------------------------------
 * File name  : dvbsx_fsk_reg_init.h
 * File type  : C header file
 * -------------------------------------------------------------------------
 * Description:  Register map constants
 * Generated by spirit2regtest v2.24_alpha3
 * -------------------------------------------------------------------------
 */


/* Register map constants */

/* FSKTFC2 */
#define RC8CODEW_DVBSX_FSK_FSKTFC2                                   0x00000000
#define RC8CODEW_DVBSX_FSK_FSKTFC2__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKTFC2_FSKT_CAR__MASK                    0x03      
#define FC8CODEW_DVBSX_FSK_FSKTFC2_FSKT_KMOD__MASK                   0xFC      

/* FSKTFC1 */
#define RC8CODEW_DVBSX_FSK_FSKTFC1                                   0x00000001
#define RC8CODEW_DVBSX_FSK_FSKTFC1__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKTFC1_FSKT_CAR__MASK                    0xFF      

/* FSKTFC0 */
#define RC8CODEW_DVBSX_FSK_FSKTFC0                                   0x00000002
#define RC8CODEW_DVBSX_FSK_FSKTFC0__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKTFC0_FSKT_CAR__MASK                    0xFF      

/* FSKTDELTAF1 */
#define RC8CODEW_DVBSX_FSK_FSKTDELTAF1                               0x00000003
#define RC8CODEW_DVBSX_FSK_FSKTDELTAF1__DEFAULT                      0x0       
#define FC8CODEW_DVBSX_FSK_FSKTDELTAF1_FSKT_DELTAF__MASK             0x0F      

/* FSKTDELTAF0 */
#define RC8CODEW_DVBSX_FSK_FSKTDELTAF0                               0x00000004
#define RC8CODEW_DVBSX_FSK_FSKTDELTAF0__DEFAULT                      0x0       
#define FC8CODEW_DVBSX_FSK_FSKTDELTAF0_FSKT_DELTAF__MASK             0xFF      

/* FSKTCTRL */
#define RC8CODEW_DVBSX_FSK_FSKTCTRL                                  0x00000005
#define RC8CODEW_DVBSX_FSK_FSKTCTRL__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKTCTRL_FSKT_DACMODE__MASK               0x03      
#define FC8CODEW_DVBSX_FSK_FSKTCTRL_FSKT_MOD_EN__MASK                0x1C      
#define FC8CODEW_DVBSX_FSK_FSKTCTRL_FSKT_MOD_SGN__MASK               0x20      
#define FC8CODEW_DVBSX_FSK_FSKTCTRL_FSKT_EN_SGN__MASK                0x40      
#define FC8CODEW_DVBSX_FSK_FSKTCTRL_FSKT_PINSEL__MASK                0x80      

/* FSKRFC2 */
#define RC8CODEW_DVBSX_FSK_FSKRFC2                                   0x00000006
#define RC8CODEW_DVBSX_FSK_FSKRFC2__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKRFC2_FSKR_CAR__MASK                    0x03      
#define FC8CODEW_DVBSX_FSK_FSKRFC2_FSKR_KAGC__MASK                   0x1C      
#define FC8CODEW_DVBSX_FSK_FSKRFC2_FSKR_OUTSGN__MASK                 0x20      
#define FC8CODEW_DVBSX_FSK_FSKRFC2_FSKR_DETSGN__MASK                 0x40      

/* FSKRFC1 */
#define RC8CODEW_DVBSX_FSK_FSKRFC1                                   0x00000007
#define RC8CODEW_DVBSX_FSK_FSKRFC1__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKRFC1_FSKR_CAR__MASK                    0xFF      

/* FSKRFC0 */
#define RC8CODEW_DVBSX_FSK_FSKRFC0                                   0x00000008
#define RC8CODEW_DVBSX_FSK_FSKRFC0__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKRFC0_FSKR_CAR__MASK                    0xFF      

/* FSKRK1 */
#define RC8CODEW_DVBSX_FSK_FSKRK1                                    0x00000009
#define RC8CODEW_DVBSX_FSK_FSKRK1__DEFAULT                           0x0       
#define FC8CODEW_DVBSX_FSK_FSKRK1_FSKR_K1_MANT__MASK                 0x1F      
#define FC8CODEW_DVBSX_FSK_FSKRK1_FSKR_K1_EXP__MASK                  0xE0      

/* FSKRK2 */
#define RC8CODEW_DVBSX_FSK_FSKRK2                                    0x0000000a
#define RC8CODEW_DVBSX_FSK_FSKRK2__DEFAULT                           0x0       
#define FC8CODEW_DVBSX_FSK_FSKRK2_FSKR_K2_MANT__MASK                 0x1F      
#define FC8CODEW_DVBSX_FSK_FSKRK2_FSKR_K2_EXP__MASK                  0xE0      

/* FSKRAGCR */
#define RC8CODEW_DVBSX_FSK_FSKRAGCR                                  0x0000000b
#define RC8CODEW_DVBSX_FSK_FSKRAGCR__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKRAGCR_FSKR_AGC_REF__MASK               0x3F      
#define FC8CODEW_DVBSX_FSK_FSKRAGCR_FSKR_OUTCTL__MASK                0xC0      

/* FSKRAGC */
#define RC8CODEW_DVBSX_FSK_FSKRAGC                                   0x0000000c
#define RC8CODEW_DVBSX_FSK_FSKRAGC__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKRAGC_FSKR_AGC_ACCU__MASK               0xFF      

/* FSKRALPHA */
#define RC8CODEW_DVBSX_FSK_FSKRALPHA                                 0x0000000d
#define RC8CODEW_DVBSX_FSK_FSKRALPHA__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRALPHA_FSKR_ALPHA_M__MASK              0x03      
#define FC8CODEW_DVBSX_FSK_FSKRALPHA_FSKR_ALPHA_EXP__MASK            0x1C      

/* FSKRPLTH1 */
#define RC8CODEW_DVBSX_FSK_FSKRPLTH1                                 0x0000000e
#define RC8CODEW_DVBSX_FSK_FSKRPLTH1__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRPLTH1_FSKR_PLL_TRESH__MASK            0x0F      
#define FC8CODEW_DVBSX_FSK_FSKRPLTH1_FSKR_BETA__MASK                 0xF0      

/* FSKRPLTH0 */
#define RC8CODEW_DVBSX_FSK_FSKRPLTH0                                 0x0000000f
#define RC8CODEW_DVBSX_FSK_FSKRPLTH0__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRPLTH0_FSKR_PLL_TRESH__MASK            0xFF      

/* FSKRDF1 */
#define RC8CODEW_DVBSX_FSK_FSKRDF1                                   0x00000010
#define RC8CODEW_DVBSX_FSK_FSKRDF1__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKRDF1_FSKR_DELTAF__MASK                 0x1F      
#define FC8CODEW_DVBSX_FSK_FSKRDF1_FSKR_STATE__MASK                  0x60      
#define FC8CODEW_DVBSX_FSK_FSKRDF1_FSKR_OUT__MASK                    0x80      

/* FSKRDF0 */
#define RC8CODEW_DVBSX_FSK_FSKRDF0                                   0x00000011
#define RC8CODEW_DVBSX_FSK_FSKRDF0__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKRDF0_FSKR_DELTAF__MASK                 0xFF      

/* FSKRSTEPP */
#define RC8CODEW_DVBSX_FSK_FSKRSTEPP                                 0x00000012
#define RC8CODEW_DVBSX_FSK_FSKRSTEPP__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRSTEPP_FSKR_STEP_PLUS__MASK            0xFF      

/* FSKRSTEPM */
#define RC8CODEW_DVBSX_FSK_FSKRSTEPM                                 0x00000013
#define RC8CODEW_DVBSX_FSK_FSKRSTEPM__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRSTEPM_FSKR_STEP_MINUS__MASK           0xFF      

/* FSKRDET1 */
#define RC8CODEW_DVBSX_FSK_FSKRDET1                                  0x00000014
#define RC8CODEW_DVBSX_FSK_FSKRDET1__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKRDET1_FSKR_CARDET_ACCU__MASK           0x0F      
#define FC8CODEW_DVBSX_FSK_FSKRDET1_FSKR_DETECT__MASK                0x80      

/* FSKRDET0 */
#define RC8CODEW_DVBSX_FSK_FSKRDET0                                  0x00000015
#define RC8CODEW_DVBSX_FSK_FSKRDET0__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKRDET0_FSKR_CARDET_ACCU__MASK           0xFF      

/* FSKRDTH1 */
#define RC8CODEW_DVBSX_FSK_FSKRDTH1                                  0x00000016
#define RC8CODEW_DVBSX_FSK_FSKRDTH1__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKRDTH1_FSKR_CARDET_THRESH__MASK         0x0F      
#define FC8CODEW_DVBSX_FSK_FSKRDTH1_FSKR_CARLOSS_THRESH__MASK        0xF0      

/* FSKRDTH0 */
#define RC8CODEW_DVBSX_FSK_FSKRDTH0                                  0x00000017
#define RC8CODEW_DVBSX_FSK_FSKRDTH0__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKRDTH0_FSKR_CARDET_THRESH__MASK         0xFF      

/* FSKRLOSS */
#define RC8CODEW_DVBSX_FSK_FSKRLOSS                                  0x00000018
#define RC8CODEW_DVBSX_FSK_FSKRLOSS__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKRLOSS_FSKR_CARLOSS_THRESH__MASK        0xFF      

/* FSKRLEAK */
#define RC8CODEW_DVBSX_FSK_FSKRLEAK                                  0x00000019
#define RC8CODEW_DVBSX_FSK_FSKRLEAK__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKRLEAK_FSKR_LEAK__MASK                  0xFF      

/* FSKRAGCTH */
#define RC8CODEW_DVBSX_FSK_FSKRAGCTH                                 0x0000001a
#define RC8CODEW_DVBSX_FSK_FSKRAGCTH__DEFAULT                        0x0       

/* FSKRFINIIR */
#define RC8CODEW_DVBSX_FSK_FSKRFINIIR                                0x0000001b
#define RC8CODEW_DVBSX_FSK_FSKRFINIIR__DEFAULT                       0x0       
#define FC8CODEW_DVBSX_FSK_FSKRFINIIR_FSKR_FIN_TCSTE__MASK           0x07      
#define FC8CODEW_DVBSX_FSK_FSKRFINIIR_FSKR_SCALE_EXP__MASK           0x38      

/* FSKRFBIT1 */
#define RC8CODEW_DVBSX_FSK_FSKRFBIT1                                 0x0000001c
#define RC8CODEW_DVBSX_FSK_FSKRFBIT1__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRFBIT1_FSKR_BITFREQ_REG__MASK          0x3F      

/* FSKRFBIT0 */
#define RC8CODEW_DVBSX_FSK_FSKRFBIT0                                 0x0000001d
#define RC8CODEW_DVBSX_FSK_FSKRFBIT0__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRFBIT0_FSKR_BITFREQ_REG__MASK          0xFF      

/* FSKRMINSTART */
#define RC8CODEW_DVBSX_FSK_FSKRMINSTART                              0x0000001e
#define RC8CODEW_DVBSX_FSK_FSKRMINSTART__DEFAULT                     0x0       
#define FC8CODEW_DVBSX_FSK_FSKRMINSTART_FSKR_MIN_START_THRES__MASK   0xFF      

/* FSKRMAXSTART */
#define RC8CODEW_DVBSX_FSK_FSKRMAXSTART                              0x0000001f
#define RC8CODEW_DVBSX_FSK_FSKRMAXSTART__DEFAULT                     0x0       
#define FC8CODEW_DVBSX_FSK_FSKRMAXSTART_FSKR_MAX_START_THRES__MASK   0xFF      

/* FSKRPEAKDIF */
#define RC8CODEW_DVBSX_FSK_FSKRPEAKDIF                               0x00000020
#define RC8CODEW_DVBSX_FSK_FSKRPEAKDIF__DEFAULT                      0x0       
#define FC8CODEW_DVBSX_FSK_FSKRPEAKDIF_FSKR_PEAK_DIFF_THRES__MASK    0xFF      

/* FSKRMINPK */
#define RC8CODEW_DVBSX_FSK_FSKRMINPK                                 0x00000021
#define RC8CODEW_DVBSX_FSK_FSKRMINPK__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRMINPK_FSKR_SLICER_MIN_PEAK__MASK      0xFF      

/* FSKRMAXPK */
#define RC8CODEW_DVBSX_FSK_FSKRMAXPK                                 0x00000022
#define RC8CODEW_DVBSX_FSK_FSKRMAXPK__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRMAXPK_FSKR_SLICER_MAX_PEAK__MASK      0xFF      

/* FSKRFWDWN */
#define RC8CODEW_DVBSX_FSK_FSKRFWDWN                                 0x00000023
#define RC8CODEW_DVBSX_FSK_FSKRFWDWN__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRFWDWN_FSKR_FW_DWN_STEP__MASK          0x0F      

/* FSKRFWTH */
#define RC8CODEW_DVBSX_FSK_FSKRFWTH                                  0x00000024
#define RC8CODEW_DVBSX_FSK_FSKRFWTH__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKRFWTH_FSKR_FW_THRES__MASK              0xFF      

/* FSKRINITDEV */
#define RC8CODEW_DVBSX_FSK_FSKRINITDEV                               0x00000025
#define RC8CODEW_DVBSX_FSK_FSKRINITDEV__DEFAULT                      0x0       
#define FC8CODEW_DVBSX_FSK_FSKRINITDEV_FSKR_INIT_DEVIATION__MASK     0xFF      

/* FSKRMINDEV */
#define RC8CODEW_DVBSX_FSK_FSKRMINDEV                                0x00000026
#define RC8CODEW_DVBSX_FSK_FSKRMINDEV__DEFAULT                       0x0       
#define FC8CODEW_DVBSX_FSK_FSKRMINDEV_FSKR_MIN_DEVIATION__MASK       0xFF      

/* FSKRMAXDEV */
#define RC8CODEW_DVBSX_FSK_FSKRMAXDEV                                0x00000027
#define RC8CODEW_DVBSX_FSK_FSKRMAXDEV__DEFAULT                       0x0       
#define FC8CODEW_DVBSX_FSK_FSKRMAXDEV_FSKR_MAX_DEVIATION__MASK       0xFF      

/* FSKRMAXTERR */
#define RC8CODEW_DVBSX_FSK_FSKRMAXTERR                               0x00000028
#define RC8CODEW_DVBSX_FSK_FSKRMAXTERR__DEFAULT                      0x0       
#define FC8CODEW_DVBSX_FSK_FSKRMAXTERR_FSKR_MAX_TMG_ERR__MASK        0xFF      

/* FSKRKTMG */
#define RC8CODEW_DVBSX_FSK_FSKRKTMG                                  0x00000029
#define RC8CODEW_DVBSX_FSK_FSKRKTMG__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKRKTMG_FSKR_KTMG__MASK                  0x0F      
#define FC8CODEW_DVBSX_FSK_FSKRKTMG_FSKR_REF_TCSTE__MASK             0x70      

/* FSKRLOW */
#define RC8CODEW_DVBSX_FSK_FSKRLOW                                   0x0000002a
#define RC8CODEW_DVBSX_FSK_FSKRLOW__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKRLOW_FSKR_SLICER_LOW_REF__MASK         0xFF      

/* FSKRHIGH */
#define RC8CODEW_DVBSX_FSK_FSKRHIGH                                  0x0000002b
#define RC8CODEW_DVBSX_FSK_FSKRHIGH__DEFAULT                         0x0       
#define FC8CODEW_DVBSX_FSK_FSKRHIGH_FSKR_SLICER_HIGH_REF__MASK       0xFF      

/* FSKRWORDVAL3 */
#define RC8CODEW_DVBSX_FSK_FSKRWORDVAL3                              0x0000002c
#define RC8CODEW_DVBSX_FSK_FSKRWORDVAL3__DEFAULT                     0x0       
#define FC8CODEW_DVBSX_FSK_FSKRWORDVAL3_FSKR_STARTWORD_VAL__MASK     0xFF      

/* FSKRWORDVAL2 */
#define RC8CODEW_DVBSX_FSK_FSKRWORDVAL2                              0x0000002d
#define RC8CODEW_DVBSX_FSK_FSKRWORDVAL2__DEFAULT                     0x0       
#define FC8CODEW_DVBSX_FSK_FSKRWORDVAL2_FSKR_STARTWORD_VAL__MASK     0xFF      

/* FSKRWORDVAL1 */
#define RC8CODEW_DVBSX_FSK_FSKRWORDVAL1                              0x0000002e
#define RC8CODEW_DVBSX_FSK_FSKRWORDVAL1__DEFAULT                     0x0       
#define FC8CODEW_DVBSX_FSK_FSKRWORDVAL1_FSKR_STARTWORD_VAL__MASK     0xFF      

/* FSKRWORDVAL0 */
#define RC8CODEW_DVBSX_FSK_FSKRWORDVAL0                              0x0000002f
#define RC8CODEW_DVBSX_FSK_FSKRWORDVAL0__DEFAULT                     0x0       
#define FC8CODEW_DVBSX_FSK_FSKRWORDVAL0_FSKR_STARTWORD_VAL__MASK     0xFF      

/* FSKRWORDMSK3 */
#define RC8CODEW_DVBSX_FSK_FSKRWORDMSK3                              0x00000030
#define RC8CODEW_DVBSX_FSK_FSKRWORDMSK3__DEFAULT                     0x0       
#define FC8CODEW_DVBSX_FSK_FSKRWORDMSK3_FSKR_STARTWORD_MSK__MASK     0xFF      

/* FSKRWORDMSK2 */
#define RC8CODEW_DVBSX_FSK_FSKRWORDMSK2                              0x00000031
#define RC8CODEW_DVBSX_FSK_FSKRWORDMSK2__DEFAULT                     0x0       
#define FC8CODEW_DVBSX_FSK_FSKRWORDMSK2_FSKR_STARTWORD_MSK__MASK     0xFF      

/* FSKRWORDMSK1 */
#define RC8CODEW_DVBSX_FSK_FSKRWORDMSK1                              0x00000032
#define RC8CODEW_DVBSX_FSK_FSKRWORDMSK1__DEFAULT                     0x0       
#define FC8CODEW_DVBSX_FSK_FSKRWORDMSK1_FSKR_STARTWORD_MSK__MASK     0xFF      

/* FSKRWORDMSK0 */
#define RC8CODEW_DVBSX_FSK_FSKRWORDMSK0                              0x00000033
#define RC8CODEW_DVBSX_FSK_FSKRWORDMSK0__DEFAULT                     0x0       
#define FC8CODEW_DVBSX_FSK_FSKRWORDMSK0_FSKR_STARTWORD_MSK__MASK     0xFF      

/* FSKRDELAYLG */
#define RC8CODEW_DVBSX_FSK_FSKRDELAYLG                               0x00000034
#define RC8CODEW_DVBSX_FSK_FSKRDELAYLG__DEFAULT                      0x0       
#define FC8CODEW_DVBSX_FSK_FSKRDELAYLG_FSKR_DELAY_LENGTH__MASK       0x3F      

/* FSKRSTOPLG */
#define RC8CODEW_DVBSX_FSK_FSKRSTOPLG                                0x00000035
#define RC8CODEW_DVBSX_FSK_FSKRSTOPLG__DEFAULT                       0x0       
#define FC8CODEW_DVBSX_FSK_FSKRSTOPLG_FSKR_MESSAGE_LENGTH__MASK      0x03      
#define FC8CODEW_DVBSX_FSK_FSKRSTOPLG_FSKR_STOP_LENGTH__MASK         0xFC      

/* FSKRMESLG */
#define RC8CODEW_DVBSX_FSK_FSKRMESLG                                 0x00000036
#define RC8CODEW_DVBSX_FSK_FSKRMESLG__DEFAULT                        0x0       
#define FC8CODEW_DVBSX_FSK_FSKRMESLG_FSKR_MESSAGE_LENGTH__MASK       0xFF      

/* FSKRCFG */
#define RC8CODEW_DVBSX_FSK_FSKRCFG                                   0x00000037
#define RC8CODEW_DVBSX_FSK_FSKRCFG__DEFAULT                          0x0       
#define FC8CODEW_DVBSX_FSK_FSKRCFG_FSKR_DETECT_CFG__MASK             0x07      
#define FC8CODEW_DVBSX_FSK_FSKRCFG_FSKR_INV_DATA__MASK               0x08      
#define FC8CODEW_DVBSX_FSK_FSKRCFG_FSKR_STARTWORD_OFFSET__MASK       0x10      
#define FC8CODEW_DVBSX_FSK_FSKRCFG_FSKR_RESET_FSM__MASK              0x40      
#define FC8CODEW_DVBSX_FSK_FSKRCFG_FSKR_OLD_DATA_EN__MASK            0x80      


/* Number of registers */
#define C8CODEW_DVBSX_FSK_REG_NBREGS                                 56        

/* Number of fields */
#define C8CODEW_DVBSX_FSK_REG_NBFIELDS                               79        



#endif /* #ifndef _DVBSX_FSK_REG_INIT_H */
